package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimTemplateAim;


/**
*  service接口类
*/
public interface AimTemplateAimService{

    List<AimTemplateAim> getAimTemplateAimList(AimTemplateAim record);

    List<AimTemplateAim> getAimTemplateAimByPage(Page page, AimTemplateAim record);

    AimTemplateAim getAimTemplateAimById(String id);

    AimTemplateAim getAimTemplateAim(AimTemplateAim record);

    boolean createAimTemplateAim(AimTemplateAim record);

    boolean deleteAimTemplateAim(AimTemplateAim record);

    boolean updateAimTemplateAim(AimTemplateAim record);
}

